#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
#include <curl/curl.h>

using namespace std;


struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt) {
    Input inp;
    size_t number_count;
    if (prompt){
        cerr << "Enter number count: ";
    }
    in >> number_count;
    inp.numbers.resize(number_count);
    if (prompt){
        cerr << "Enter numbers: " << endl;
    }
    for (size_t i = 0; i < number_count; i++) {
        in >> inp.numbers[i];
    }
    if (prompt){
        cerr << "Enter bin count: ";
    }
    in >> inp.bin_count;
    return inp;
}


int
main()
{
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
